Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle TopLink API Reference 10g Release 3 (10.1.3) B13698-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.toplink.mappings
Class TypedAssociation

`java.lang.Object
oracle.toplink.mappings.Association
oracle.toplink.mappings.TypedAssociation`

All Implemented Interfaces:
  java.util.Map.Entry

public class TypedAssociation
extends Association

Purpose: Generic association object. This can be used to map hashtable/map containers where the key and value are non-typed primitives.

Since:
  TOPLink/Java 3.0

Constructor Summary
`TypedAssociation()` Default constructor.
`TypedAssociation(java.lang.Object key, java.lang.Object value)` PUBLIC: Create an association.

Method Summary
`java.lang.Class` | `getKeyType()` PUBLIC: Return the class of the key.
`java.lang.Class` | `getValueType()` PUBLIC: Return the class of the value.
`void` | `setKeyType(java.lang.Class keyType)` PUBLIC: Set the class of the key.
`void` | `setValueType(java.lang.Class valueType)` PUBLIC: Set the class of the value.

Methods inherited from class oracle.toplink.mappings.Association
`getKey, getValue, setKey, setValue`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface java.util.Map.Entry
`equals, hashCode`

Constructor Detail

### TypedAssociation

    public TypedAssociation()

  Default constructor.

### TypedAssociation

    public TypedAssociation(java.lang.Object key,
                            java.lang.Object value)

  PUBLIC: Create an association.

Method Detail

### getKeyType

    public java.lang.Class getKeyType()

  PUBLIC: Return the class of the key.

### getValueType

    public java.lang.Class getValueType()

  PUBLIC: Return the class of the value.

### setKeyType

    public void setKeyType(java.lang.Class keyType)

  PUBLIC: Set the class of the key.

### setValueType

    public void setValueType(java.lang.Class valueType)

  PUBLIC: Set the class of the value.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 1998, 2006, Oracle. All Rights Reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD